Bug 5403 - Review "local" method calling in WS GRAM for RFT
: Review "local" method calling in WS GRAM for RFT
Status: RESOLVED FIXED
: GRAM
wsrf managed execution job service
: 4.0.4
: Macintosh All
: P3 normal
: 4.0.5
Assigned To:
:
:
: 5394 5395
: 4050
  Show dependency treegraph
 
Reported: 2007-06-22 16:45 by
Modified: 2007-11-30 10:23 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-06-22 16:45:29
Objective: Add support for in-process local method calls to WS GRAM

Technologies: WS GRAM

Projects: CDIGS

Description:  

The goal of this campaign is to make a local method call mechanism to be used
by GRAM for RFT interaction.  While WS GRAM will be modified as appropriate to
support local invocations of RFT, WS invocations will remain the
default for now.

Eventually, the plan is to support this Java WS Core and not in WS GRAM.

Benefits:

The immediate benefit to making these changes is improved performance which
also improves reliability for the GRAM service when calling RFT for file
staging and cleanup directives. 

Implementation tasks: 

1. Integrate the classes detailed in Martin Feller's document, along with
the proposed changes outlined within and any further changes as needed.

-------
Martin's doc is here:
http://www-unix.mcs.anl.gov/~smartin/LocalInvocations-gram.doc
------- Comment #1 From 2007-06-25 18:35:29 -------
An implementation of is in 4.0.5.
WS-GRAM uses a class called LocalInvocationHelper
which is located in WS-GRAM. Also it relies on changes
in wsrf in 4.0.5 (ResourceContextImpl and org.globus.wsrf.Constants).
Two issues that are solved but yet kept open are
bug 5394 and bug 5395. They are still open because we
don't understand completely why the solutions work. 
------- Comment #2 From 2007-06-25 18:41:36 -------
This functionality has been committed to 4.0.5, but needs additional
investigation, so leaving it open and setting milestone 4.0.6
------- Comment #3 From 2007-11-30 10:23:22 -------
Seems to be working, marking this closed.